TektonChain [operator.tekton.dev/v1alpha1]
- Description
- TektonChain is the Schema for the tektonchain API
- Type
object
Specification
.spec
- Description
- TektonChainSpec defines the desired state of TektonChain
- Type
object- Required
disabledoptions
.spec.config
- Description
- Config holds the configuration for resources created by TektonChain
- Type
object
.spec.config.nodeSelector
- Type
object
.spec.config.tolerations
- Type
array
.spec.config.tolerations[]
- Description
- The pod this Toleration is attached to tolerates any taint that matches the triple <key,value,effect> using the matching operator <operator>.
- Type
object
.spec.controllerEnvs
- Type
array
.spec.controllerEnvs[]
- Description
- EnvVar represents an environment variable present in a Container.
- Type
object- Required
name
.spec.controllerEnvs[].valueFrom
- Description
- Source for the environment variable's value. Cannot be used if value is not empty.
- Type
object
.spec.controllerEnvs[].valueFrom.configMapKeyRef
- Description
- Selects a key of a ConfigMap.
- Type
object- Required
key
.spec.controllerEnvs[].valueFrom.fieldRef
- Description
- Selects a field of the pod: supports metadata.name, metadata.namespace, `metadata.labels['<KEY>']`, `metadata.annotations['<KEY>']`, spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.
- Type
object- Required
fieldPath
.spec.controllerEnvs[].valueFrom.resourceFieldRef
- Description
- Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.
- Type
object- Required
resource
.spec.controllerEnvs[].valueFrom.secretKeyRef
- Description
- Selects a key of a secret in the pod's namespace
- Type
object- Required
key
.spec.options
- Description
- options holds additions fields and these fields will be updated on the manifests
- Type
object
.spec.options.configMaps
- Type
object
.spec.options.deployments
- Type
object
.spec.options.horizontalPodAutoscalers
- Type
object
.spec.options.statefulSets
- Type
object
.spec.options.webhookConfigurationOptions
- Type
object
.spec.performance
- Description
- PerformanceProperties defines the fields which are configurable to tune the performance of component controller
- Type
object- Required
disable-ha
.status
- Description
- TektonChainStatus defines the observed state of TektonChain
- Type
object
.status.annotations
- Description
- Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
- Type
object
.status.conditions
- Description
- Conditions the latest available observations of a resource's current state.
- Type
array
.status.conditions[]
- Description
- Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
- Type
object- Required
statustype
API Endpoints
The following API endpoints are available:
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchainsDELETE: delete collection of TektonChainGET: list objects of kind TektonChainPOST: create a new TektonChain
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}DELETE: delete the specified TektonChainGET: read the specified TektonChainPATCH: partially update the specified TektonChainPUT: replace the specified TektonChain
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}/statusGET: read status of the specified TektonChainPATCH: partially update status of the specified TektonChainPUT: replace status of the specified TektonChain
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains
- HTTP method
DELETE- Description
- delete collection of TektonChain
- HTTP responses
- HTTP method
GET- Description
- list objects of kind TektonChain
- HTTP responses
- HTTP method
POST- Description
- create a new TektonChain
- Query parameters
- Body parameters
- HTTP responses
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}
- HTTP method
DELETE- Description
- delete the specified TektonChain
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified TektonChain
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified TektonChain
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified TektonChain
- Query parameters
- Body parameters
- HTTP responses
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}/status
- HTTP method
GET- Description
- read status of the specified TektonChain
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified TektonChain
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified TektonChain
- Query parameters
- Body parameters
- HTTP responses